extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "tgheroes:freeze/new52_freeze1",
    "layer2": "tgheroes:freeze/new52_freeze2"
});

var utils = implement("fiskheroes:external/utils");

function initEffects(renderer) {
    utils.bindBeam(renderer, "fiskheroes:cold_gun", "fiskheroes:cold_beam", "rightArm", 0x4CB5FF, [
        { "firstPerson": [-4.75, 3.0, -13.0], "offset": [-0.6, 19.0, -1.5], "size": [2.0, 2.0] }
    ]);
}
